/* RESET */
/* --- Variables e Importaciones --- */
:root {
    --neon-green: #39ff14; /* Verde neón ultra-brillante */
    --dark-bg: #121212;     /* Gris casi negro deportivo */
    --light-bg: #ffffff;
    --text-dark: #121212;
    --text-light: #ffffff;
    --font-accent: 'Orbitron', sans-serif; /* Para títulos y números */
    --font-body: 'Rajdhani', sans-serif;    /* Para descripciones */
}
*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}
h1, h2, h3, h4 {
    font-family: 'Montserrat', sans-serif;
    letter-spacing: -0.5px; 
    }

    
html{
  scroll-behavior:smooth;
}

body{
  overflow-x:hidden;
  background:#fff;
  background-color: var(--dark-bg);
  color: var(--text-light);
  font-family: 'Poppins', sans-serif;
}

/* HR */

.header{
    width:100%;
    height:90px;
    background:#fff;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:0 5%;
    position:fixed;
    top:0;
    left:0;
    z-index:9999;
    box-shadow:0 2px 10px rgba(0,0,0,0.08);
}

.logo{
    width:90px;
}

.logo img{
    width:100%;
}

.menu-toggle{
    display:none;
    font-size:2rem;
    cursor:pointer;
    color:green;
}

.navbar a {
    text-decoration: none;
    color: green;
    font-weight: 600;
    position: relative;
    padding: 5px ;
    transition: color 0.3s ease;
}

.navbar a:hover {
    color: black;
}

.navbar a::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 3px;
    bottom: 0;
    left: 0;
    background-color: green;
    transform: scaleX(0);
    transition: transform 0.3s ease;
}

.navbar a:hover::after {
    transform: scaleX(1);
}

.socials{
    display:flex;
    gap:10px;
}

.socials a{
    width:22px;
    height:22px;
    border-radius:50%;
    background:green;
    color:white;
    display:flex;
    justify-content:center;
    align-items:center;
    text-decoration:none;
    font-size: 0.75rem; 
    transition: transform 0.3s ease, background 0.3s ease;
}

.socials a:hover{
    transform: scale(1.15);
    background: #000000;
}

section{
  padding:90px 8%;
}
img{
  width:100%;
  display:block;
}
.hero{
  width:100%;
  min-height:100vh;

  background-image:url("../Galeria/Imagenes/banner-polimeros-maquiplastic.jpg");
  background-position:center;
  background-size:cover;
  background-repeat:no-repeat;
  background-attachment:fixed;

  position:relative;

  display:flex;
  justify-content:center;
  align-items:center;

  text-align:center;
}

.overlay{
  position:absolute;
  width:100%;
  height:100%;
  top:0;
  left:0;
  background:rgba(0,0,0,0.15);
}

.hero-content{
  position:relative;
  z-index:2;
  max-width:800px;
  padding:0 20px;
}

.hero-content h1{
  color:#ffffff;
  font-size:82px;
  margin-bottom:5px;
  text-shadow: 4px 4px 5px rgba(0, 0, 0, 0.3);
}

.hero-content p{
  color:#f1f1f1;
  font-size:28px;
}



.benefits{
  background:#fff;
}

.benefits-container{
  display:flex;
  justify-content:space-between;
  gap:20px;
}

.benefit-box{
  flex:1;

  background:#f5f5f5;
  padding:40px 25px;

  border-radius:20px;

  text-align:center;

  transition:0.3s;
}

.benefit-box:hover{
  transform:translateY(-8px);
  box-shadow:0 10px 30px rgba(0,0,0,0.08);
}

.benefit-box i{
  font-size:45px;
  color:#2e7d32;
  margin-bottom:20px;
}

.benefit-box h3{
  color:#2e7d32;
  margin-bottom:15px;
  font-size:24px;
  line-height:1.2;
}

.benefit-box p{
  color:#111;
  font-size:15px;
  line-height:1.6;
}

.catalog{
  background:white;
}

.catalog-container{
  display:flex;
  flex-direction:column;
  gap:40px;
}

.catalog-item{
  display:flex;
  align-items:center;
  background:#fff;
  overflow:hidden;
  min-height:500px;
}

.catalog-item.reverse{
  flex-direction:row-reverse;
}

.catalog-img{
  flex:1;
  height:100%;
}
.catalog-img img{
  width:100%;
  height:450px;
  object-fit:cover;
  border-radius:30px;
  display:block;
}
.catalog-text{
  flex:1;
  padding:60px;
}

.catalog-text span{
  color:#2e7d32;
  font-size:14px;
  font-weight:bold;
  text-transform:uppercase;
  letter-spacing:1px;
}
.catalog-text h2{
  color:#2e7d32;
  font-size:42px;
  line-height:1.1;
  margin:20px 0;
}
.catalog-text p{
  color:#111;
  font-size:16px;
  line-height:1.7;
}

/**/

/* FOOTER */

.footer{
  background:#111;
  color:#fff;
  padding:70px 7%;
  display:flex;
  justify-content:space-between;
  align-items:center;
  flex-wrap:wrap;
}

.footer-logo{
    width: 250px;
    display: flex;
    justify-content: center;
    align-items: center;
    
}

.footer-logo img{
    width: 100%;
    object-fit: contain;
    border-radius:50%;
}

.footer-info h2{
  margin-bottom:10px;
  font-size:2.5rem;
}

.footer-info{
    display:flex;
    flex-direction:column;
}


/*  */

.footer-links, .footer-text{
    list-style:none;
    display:flex;
    flex-direction:column;
    gap:5px;
    
}

.footer-links a{
    text-decoration:none;
    color:white;
    transition:0.3s;
}
.footer-links a:hover{
    color:#4cff4c;
    transform:translateX(5px);
    text-decoration:none;
}

.footer-lists{
    display:flex;
    gap:60px;  
    align-items:flex-start;
    margin:25px 0;
}


.footer-socials{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px; 
    flex-wrap: nowrap !important; 
    margin-bottom: 25px;
    text-decoration:none;
    
}

.footer-socials a{
    width:32px;
    height:32px;
    border-radius:50%;
    background:#1ca701;
    color:white;
    display:flex;
    justify-content:center;
    align-items:center;
    text-decoration:none;
    transition:0.3s;
}

.footer-socials a:hover{
    transform:scale(1.15);
    color: #000000;
    background:#78f100;
}
/* ========================= */

@media(max-width:992px){
  /* HR */

  .menu-toggle{
        display:block;
    }

    .header{
        width:100%;
        height:90px;
        background:#fff;
        display:flex;
        justify-content:space-between;
        align-items:center;
        padding:0 5%;
        position:fixed;
        overflow:visible;
    }

    .socials a{
        width:22px;
        height:22px;
        font-size:0.75rem;
    }

    .socials {
        gap: 5px;
    }

    .navbar{
        position:absolute;
        top:100%;
        left:0;
        width:100%;
        background:white;
        display:flex;
        flex-direction:column;
        align-items:center;
        gap:5px;
        height:0;
        overflow:hidden;
        transition:height 0.35s ease;
        box-shadow:0 10px 20px rgba(0,0,0,0.08);
    }
 
    .navbar a{
        font-size:12px;
        padding:5px 0;
    }

    .navbar.active{
        height:170px;
    }
    
    .navbar:not(.active){
        pointer-events:none;
    }

  section{
    padding:70px 6%;
  }

  .hero{
    background-attachment:scroll;
    min-height:80vh;
  }

  .hero-content h1{
    font-size:55px;
  }

   .catalog-item,
  .catalog-item.reverse{
    flex-direction:column;
  }

  .catalog-img{
    width:100%;
    height:350px;
  }

  .catalog-text{
    padding:45px;
  }

  .catalog-text h2{
    font-size:34px;
  }

  /*****/
  .benefits-container{

        display:grid;
        grid-template-columns:repeat(2,1fr);
        gap:20px;

    }

    /* La tercera tarjeta ocupa todo el ancho */
    .benefit-box:last-child{

        grid-column:1 / -1;

    }

    .benefit-box{

        padding:30px 20px;

    }

    .benefit-box i{

        font-size:36px;

    }

    .benefit-box h3{

        font-size:20px;

    }

    .benefit-box p{

        font-size:14px;
        line-height:1.6;

    }


  .footer{
    text-align:center;
    justify-content:center;
    gap:40px;
}
}


@media(max-width:600px){

  section{
    padding:60px 5%;
  }

  .hero-content h1{
    font-size:42px;
  }

  .hero-content p{
    font-size:15px;
  }

  .catalog-img{
    height:280px;
  }

  .catalog-text{
    padding:35px 25px;
  }

  .catalog-text h2{
    font-size:28px;
  }

  .catalog-text p{
    font-size:15px;
  }

   /* HR */

  .menu-toggle{
        display:block;
    }

    .header{
        width:100%;
        height:90px;
        background:#fff;
        display:flex;
        justify-content:space-between;
        align-items:center;
        padding:0 5%;
        position:fixed;
        overflow:visible;
    }

    .socials a{
        width:18px;
        height:18px;
        font-size:0.45rem;
    }

    .socials{
        gap:4px;
        padding:0;
    }

    .navbar{
        position:absolute;
        top:100%;
        left:0;
        width:100%;
        background:white;
        display:flex;
        flex-direction:column;
        align-items:center;
        gap:5px;
        height:0;
        overflow:hidden;
        transition:height 0.35s ease;
        box-shadow:0 10px 20px rgba(0,0,0,0.08);
    }
 
    .navbar a{
        font-size:12px;
        padding:5px 0;
    }

    .navbar.active{
        height:170px;
    }
    
    .navbar:not(.active){
        pointer-events:none;
    }
/******************************/
 .benefits{

        padding:50px 0;

    }

    .benefits-container{

        grid-template-columns:1fr;
        gap:18px;
        width:92%;
        margin:auto;

    }

    .benefit-box:last-child{

        grid-column:auto;

    }

    .benefit-box{

        padding:28px 18px;
        border-radius:16px;

    }

    .benefit-box i{

        font-size:34px;
        margin-bottom:16px;

    }

    .benefit-box h3{

        font-size:18px;
        margin-bottom:12px;

    }

    .benefit-box p{

        font-size:14px;

    }

    /***/

    .footer-info{
        align-items:center;
        text-align:center;
    }

    .footer-lists{
        width:100%;
        display:flex;
        flex-direction:row;
        justify-content:center;
        align-items:flex-start;
        gap:35px;
        text-align:left;
    }

    .footer-links,
    .footer-text{
        align-items:flex-start;
        text-align:left;
    }

    .footer-socials{
        width:100%;
        justify-content:center;
    }

}
